@font-face {
	font-family: 'Local Noto Sans JP';
	src: local('Noto Sans JP');
}

.kochi-archive-area {
	--kochi-search-link-color: #000;
	--kochi-search-link-border-color: #d4d4d4;
	--kochi-search-link-hover-color: #004ea2;
}

[data-theme='blue-theme'] .kochi-archive-area {
	--kochi-search-link-color: #fff;
	--kochi-search-link-border-color: #4f92d9;
	--kochi-search-link-hover-color: #fff;
}

[data-theme='black-theme'] .kochi-archive-area {
	--kochi-search-link-color: #fff;
	--kochi-search-link-border-color: #d4d4d4;
	--kochi-search-link-hover-color: #fff;
}

.kochi-archive-area {
	margin-inline: auto;
	max-width: 1248px;
}

.kochi-archive-content .kochi-search-form {
	padding-block: 12px;
}

.kochi-archive-content .kochi-search-form .kochi-search-form-inner {
	border-radius: 16px;
	display: grid;
	background: linear-gradient(90deg, #004ea2 0%, #00a5e3 100%);
}

.kochi-archive-content .kochi-search-form .kochi-search-form-inner p {
	padding-block: 0;
	color: #fff;
	font-weight: 700;
}

.kochi-archive-content .kochi-search-form .kochi-search-form-inner form {
	position: relative;
	z-index: 1;
}

.kochi-archive-content .kochi-search-form .kochi-search-form-inner form input[type='search'] {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	padding-block: 12px;
	padding-inline: 16px 48px;
	border-radius: 8px;
	background-color: #fff;
	border: 0;
	width: 100%;
	line-height: 1.625;
	font-size: var(--font-size-p-pc);
	position: relative;
	z-index: 1;
}

.kochi-archive-content .kochi-search-form .kochi-search-form-inner form input[type='search']::-moz-placeholder {
	color: #a3a3a3;
}

.kochi-archive-content .kochi-search-form .kochi-search-form-inner form input[type='search']::placeholder {
	color: #a3a3a3;
}

.kochi-archive-content .kochi-search-form .kochi-search-form-inner form input[type='search']:focus {
	outline: 4px solid #004ea2;
}

.kochi-archive-content .kochi-search-form .kochi-search-form-inner form input[type='search']::-webkit-search-cancel-button {
	-webkit-appearance: none;
	appearance: none;
	margin-inline: 8px 0;
	width: 16px;
	height: 16px;
	background-color: #000;
	-webkit-mask-image: url(../images/icon/delete.svg);
	mask-image: url(../images/icon/delete.svg);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	-webkit-mask-size: 100% 100%;
	mask-size: 100% 100%;
	-webkit-mask-position: center;
	mask-position: center;
	cursor: pointer;
	-webkit-transition: opacity 300ms ease;
	transition: opacity 300ms ease;
}

.kochi-archive-content .kochi-search-form .kochi-search-form-inner form input[type='search']::-webkit-search-cancel-button:hover,
.kochi-archive-content .kochi-search-form .kochi-search-form-inner form input[type='search']::-webkit-search-cancel-button:active,
.kochi-archive-content .kochi-search-form .kochi-search-form-inner form input[type='search']::-webkit-search-cancel-button:focus-visible {
	opacity: 0.5;
}

.kochi-archive-content .kochi-search-form .kochi-search-form-inner form button[type='submit'] {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	box-sizing: content-box;
	padding-block: 0;
	padding-inline: 8px 16px;
	border: 0;
	border-top-right-radius: 8px;
	border-bottom-right-radius: 8px;
	display: block;
	width: 24px;
	background-color: transparent;
	cursor: pointer;
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	z-index: 2;
	overflow: hidden;
	transition: opacity 300ms ease;
}

.kochi-archive-content .kochi-search-form .kochi-search-form-inner form button[type='submit']::before {
	content: '';
	padding-inline: 8px 16px;
	display: block;
	width: 24px;
	height: 100%;
	background-color: #000;
	-webkit-mask-image: url(../images/icon/search.svg);
	mask-image: url(../images/icon/search.svg);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	-webkit-mask-size: 100% 100%;
	mask-size: 100% 100%;
	-webkit-mask-position: center;
	mask-position: center;
}

.kochi-archive-content .kochi-search-form .kochi-search-form-inner form button[type='submit']:hover,
.kochi-archive-content .kochi-search-form .kochi-search-form-inner form button[type='submit']:active,
.kochi-archive-content .kochi-search-form .kochi-search-form-inner form button[type='submit']:focus-visible {
	opacity: 0.5;
}

.kochi-archive-content .kochi-search-list {
	padding-block: 12px;
}

.kochi-archive-content .kochi-search-list > li {
	padding-block: 0;
	padding-inline-start: 0;
	border-block-end: 1px solid var(--kochi-search-link-border-color);
}

.kochi-archive-content .kochi-search-list > li::before {
	display: none;
}

.kochi-archive-content .kochi-search-list > li:first-child {
	border-block-start: 1px solid var(--kochi-search-link-border-color);
}

.kochi-archive-content .kochi-search-list > li > a {
	padding-block: 24px;
	display: grid;
	align-items: start;
	-moz-column-gap: 16px;
	column-gap: 16px;
	color: var(--kochi-search-link-color);
	font-size: var(--font-size-small);
	text-decoration: none;
	overflow: hidden;
}

.kochi-archive-content .kochi-search-list > li > a::after {
	content: '';
	background-color: var(--kochi-search-link-hover-color);
	-webkit-mask-image: url(../images/icon/arrow-right.svg);
	mask-image: url(../images/icon/arrow-right.svg);
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	transition: left 300ms ease;
	position: relative;
	z-index: 1;
	left: 0;
}

.kochi-archive-content .kochi-search-list > li > a .kochi-search-item-content {
	display: grid;
}

.kochi-archive-content .kochi-search-list > li > a .wp-heading {
	margin-block: 0;
	padding-inline-start: 0;
	border-inline-start: 0;
	transition: color 300ms ease;
}

.kochi-archive-content .kochi-search-list > li > a .post-excerpt {
	padding-block: 0;
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow: hidden;
	font-size: var(--font-size-small);
}

.kochi-archive-content .kochi-search-list > li > a:hover .kochi-search-item-title,
.kochi-archive-content .kochi-search-list > li > a:active .kochi-search-item-title,
.kochi-archive-content .kochi-search-list > li > a:focus-visible .kochi-search-item-title {
	color: var(--kochi-search-link-hover-color);
}

.kochi-archive-content .kochi-search-list > li > a:hover::after,
.kochi-archive-content .kochi-search-list > li > a:active::after,
.kochi-archive-content .kochi-search-list > li > a:focus-visible::after {
	left: 8px;
}

.kochi-archive-content .kochi-archive-footer {
	padding-block: 12px;
	padding-inline: 0;
}

.kochi-archive-content .kochi-archive-footer:has(*:empty) {
	display: none;
}

@media screen and (max-width: 1024px) {

	.kochi-archive-content .kochi-search-form .kochi-search-form-inner {
		padding-block: 32px;
		padding-inline: 32px;
		row-gap: 16px;
	}

	.kochi-archive-content .kochi-search-form .kochi-search-form-inner p {
		font-size: var(--font-size-h3-sp);
	}

	.kochi-archive-content .kochi-search-list > li > a {
		padding-inline: 16px;
	}

	.kochi-archive-content .kochi-search-list > li > a {
		grid-template-columns: 1fr 18px;
	}

	.kochi-archive-content .kochi-search-list > li > a::after {
		-webkit-mask-size: 18px 18px;
		mask-size: 18px 18px;
		width: 18px;
		height: 18px;
	}

	.kochi-archive-content .kochi-search-list > li > a .kochi-search-item-content {
		row-gap: 8px;
	}

	.kochi-archive-content .kochi-search-list > li > a .wp-heading {
		font-size: var(--font-size-p-sp);
	}

	.kochi-archive-content .kochi-archive-footer {
		font-size: var(--font-size-p-sp);
	}
}

@media screen and (min-width: 1025px) {

	.kochi-archive-content .kochi-search-form .kochi-search-form-inner {
		padding-block: 80px;
		padding-inline: 80px;
		row-gap: 24px;
	}

	.kochi-archive-content .kochi-search-form .kochi-search-form-inner p {
		font-size: var(--font-size-h3-pc);
	}

	.kochi-archive-content .kochi-search-list > li > a {
		padding-inline: 24px;
	}

	.kochi-archive-content .kochi-search-list > li > a {
		grid-template-columns: 1fr 24px;
	}

	.kochi-archive-content .kochi-search-list > li > a::after {
		-webkit-mask-size: 24px 24px;
		mask-size: 24px 24px;
		width: 24px;
		height: 24px;
	}

	.kochi-archive-content .kochi-search-list > li > a .kochi-search-item-content {
		row-gap: 16px;
	}

	.kochi-archive-content .kochi-search-list > li > a .wp-heading {
		font-size: var(--font-size-p-pc);
	}

	.kochi-archive-content .kochi-archive-footer {
		font-size: var(--font-size-p-pc);
	}
}

@media screen and (max-width: 768px) {

	.kochi-archive-content .kochi-search-list > li > a {
		padding-block: 24px;
		padding-inline: 16px;
		-moz-column-gap: 8px;
		column-gap: 8px;
	}
}

@media screen and (min-width: 769px) {

	.kochi-archive-content .kochi-search-list > li > a {
		padding-block: 24px;
		padding-inline: 24px;
	}
}
